Index: Preferences/Symbol List Macro.tmPreferences
===================================================================
--- Preferences/Symbol List Macro.tmPreferences	(revision 0)
+++ Preferences/Symbol List Macro.tmPreferences	(revision 0)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>name</key>
+	<string>Symbol List: Macro</string>
+	<key>scope</key>
+	<string>meta.tag.macrodef.xml.ant</string>
+	<key>settings</key>
+	<dict>
+		<key>showInSymbolList</key>
+		<integer>1</integer>
+		<key>symbolTransformation</key>
+		<string>		
+		s/.*name="([\w-]+)".*/$1/g;		# Keep macro name only.
+		s/^/macro: /;				# Add macro prefix.
+	</string>
+	</dict>
+	<key>uuid</key>
+	<string>250EA0F3-362B-406D-8FDD-D1EF8C3F2D88</string>
+</dict>
+</plist>
Index: Syntaxes/Ant.tmLanguage
===================================================================
--- Syntaxes/Ant.tmLanguage	(revision 11710)
+++ Syntaxes/Ant.tmLanguage	(working copy)
@@ -60,6 +60,29 @@
 		</dict>
 		<dict>
 			<key>begin</key>
+			<string>(&lt;macrodef)\b</string>
+			<key>captures</key>
+			<dict>
+				<key>1</key>
+				<dict>
+					<key>name</key>
+					<string>entity.name.tag.macrodef.xml.ant</string>
+				</dict>
+			</dict>
+			<key>end</key>
+			<string>(/?&gt;)</string>
+			<key>name</key>
+			<string>meta.tag.macrodef.xml.ant</string>
+			<key>patterns</key>
+			<array>
+				<dict>
+					<key>include</key>
+					<string>#tagStuff</string>
+				</dict>
+			</array>
+		</dict>
+		<dict>
+			<key>begin</key>
 			<string>(&lt;/?)(?:([-_a-zA-Z0-9]+)((:)))?([-_a-zA-Z0-9:]+)</string>
 			<key>captures</key>
 			<dict>
